'''
'''  FF_STRREVERSE
'''  反转字符串表达式的内容。
''' 
'  Function FF_StrReverse( ByRef sMainString as String _
'                         ) as String


''
''  FF_STRREVERSE
''  Reverse the contents of a string expression.
'' 
Function FF_StrReverse( ByRef sMainString As String _
                       ) As String

   Dim nLenMain As Integer = Len(sMainString)
   Dim s        As String  = sMainString
   Dim i        As Integer
   
   For i = 0 To (nLenMain / 2) - 1
      Swap s[i], s[nLenMain-1 - i]
   Next

   Return s
    
End Function

